#!/bin/bash
#checking

function checkapp() {
	ITEM_=`which $ITEM`;
	echo -en "checking $ITEM ...  ";
	if [ -e "$ITEM_" ]; then
		echo "[OK]";
	else
		echo "[failed]"
		exit
	fi
}

function checkfile() {
	echo -en "checking $ITEM ...  ";
	if [ -e "$ITEM" ]; then
		echo "[OK]";
	else
		echo "[failed]"
		exit
	fi
}

echo -e "\n"
ITEM="kde-config" checkapp
ITEM="kdialog" checkapp
ITEM="kmdr-executor" checkapp


if [ "$#" -eq 0 ]; then
  echo -e "\n"
  echo "run common/kmdr-installer.kmdr";
  echo "temp dir: "`pwd`
  ITEM="./configure" checkfile
  source ./configure
  kmdr-executor `dirname $0`/common/kmdr-installer.kmdr;
elif [ "$#" -eq 1 -a "$1" = "-noinstall" ]; then
  echo "nothing done."
elif [ "$#" -eq 2 -a "$1" = "-release" -a -e "$2" ]; then
  ITEM="makeself.sh" checkapp
  echo -e "\n"
  cd `dirname $0`
  pwd
  ITEM="./configure" checkfile
  source ./configure
  cd ..

  makeself.sh --nox11 --bzip2 "$_APPUNAME" "$2/$_APPUNAME-$_VERSION.run.sh" "$_APPNAME" "./setup.sh"
else
  echo -e "\nUssage:\n *Run installation: setup.sh\n *Make release: setup.sh -release [destination dir]\n  The Destination dir should NOT be the project dir.\n"
fi
echo "setup finished."